Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 933438 - sys-apps/systemd-utils-254.13 stable request
Summary: sys-apps/systemd-utils-254.13 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo systemd Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: 932130
  Show dependency tree
 
Reported: 2024-06-02 21:48 UTC by Mike Gilbert
Modified: 2024-06-20 15:08 UTC (History)
1 user (show)

See Also:
Package list:
sys-apps/systemd-utils-254.13
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2024-06-02 21:48:20 UTC
Thanks.
Comment 1 Josh G 2024-06-03 17:08:56 UTC
Yes, please. 

There's a bug in current stable sys-apps/systemd-utils that's been fixed in 254.13. 
 

When building against the 6.9 linux-libc-headrs the following build
issue was hit:

  | Program check-filesystems.sh found: YES (build/tmp/work/cortexa57-poky-linux/systemd/255.4/git/src/basic/check-filesystems.sh)
  |
  | ../git/src/basic/meson.build:238:8: ERROR: Problem encountered: Unknown filesystems defined in kernel headers:
  |
  | Filesystem found in kernel header but not in filesystems-gperf.gperf: PID_FS_MAGIC


See:
https://lore.kernel.org/all/20240515144432.3152351-1-bruce.ashfield@gmail.com/T/#mfa4e9d580013fedfbcf404ec0ad43b0c0a239df8
Comment 2 Mike Gilbert gentoo-dev 2024-06-03 17:28:42 UTC
(In reply to Josh G from comment #1)

We are already aware of that; see bug 932130.
Comment 3 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-06-03 17:42:12 UTC
amd64 done
Comment 4 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-06-03 17:42:14 UTC
arm done
Comment 5 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-06-03 17:42:15 UTC
arm64 done
Comment 6 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-06-03 17:42:17 UTC
ppc done
Comment 7 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-06-03 17:42:19 UTC
ppc64 done
Comment 8 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-06-03 17:42:20 UTC
sparc done
Comment 9 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-06-03 17:42:22 UTC
x86 done
Comment 10 matoro archtester 2024-06-20 15:08:39 UTC
hppa done

all arches done